libcoap 4.3.2rc2

Data Fields
coap_dtls_key_t Struct Reference
Application API » DTLS Support

The structure that holds the PKI key information. More...

`#include <coap_dtls.h>`

## Data Fields
coap_pki_key_t | key_type
| key format type More...
union {
coap_pki_key_pem_t pem
| for PEM file keys More...
coap_pki_key_pem_buf_t pem_buf
| for PEM memory keys More...
coap_pki_key_asn1_t asn1
| for ASN.1 (DER) memory keys More...
coap_pki_key_pkcs11_t pkcs11
| for PKCS11 keys More...
} | key

## Detailed Description

The structure that holds the PKI key information.

Definition at line 252 of file coap_dtls.h.

## Field Documentation

## ◆ asn1

coap_pki_key_asn1_t coap_dtls_key_t::asn1

for ASN.1 (DER) memory keys

Definition at line 257 of file coap_dtls.h.

## ◆

union { ... } coap_dtls_key_t::key

## ◆ key_type

coap_pki_key_t coap_dtls_key_t::key_type

key format type

Definition at line 253 of file coap_dtls.h.

## ◆ pem

coap_pki_key_pem_t coap_dtls_key_t::pem

for PEM file keys

Definition at line 255 of file coap_dtls.h.

## ◆ pem_buf

coap_pki_key_pem_buf_t coap_dtls_key_t::pem_buf

for PEM memory keys

Definition at line 256 of file coap_dtls.h.

## ◆ pkcs11

coap_pki_key_pkcs11_t coap_dtls_key_t::pkcs11

for PKCS11 keys

Definition at line 258 of file coap_dtls.h.

The documentation for this struct was generated from the following file:

- coap_dtls.h